ON_AC_POWER(1)

NAME
on_ac_power - test whether the computer is running on line power

SYNOPSIS

on_ac_power

DESCRIPTION

This manual page documents briefly the on_ac_power command.

on_ac_power is a command line program to test whether the computer is running on line power

EXIT CODES

The command succeeds (status 0) if the system is using line power and fails (status other than 0) otherwise. It is designed to be easy to use in shell scripts.

0 (true)
    System is on line power.

1 (false)
    System is not on line power.

SEE ALSO

pm-suspend(8)

AUTHOR

This manual page was written by Richard Hughes richard@hughsie.com.

AUTHOR

Richard Hughes
    Author.

COPYRIGHT
Copyright © 2006 Richard Hughes